* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Segoe UI', sans-serif;
}

body {
    background: linear-gradient(160deg, #4b005f, #2d0036);
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

/* APP */
.app {
    width: 380px;
    height: 660px;
    background: #1e1e2f;
    border-radius: 28px;
    padding: 30px;
    box-shadow: 0 25px 50px rgba(0,0,0,0.5);
    position: relative;
    overflow: hidden;
    margin-bottom: 20px;
}

h1 {
    color: #c084fc;
    text-align: center;
    margin-bottom: 30px;
    font-weight: 700;
}

.app p {
    color: #d1d5db;
    font-size: 14px;
    margin-bottom: 20px;
    justify-content: center;
    display: flex;
    allign-items: center;
}

/* TÍTULO */
h2 {
    color: #ffffff;
    margin-bottom: 25px;
    font-weight: 600;
}

/* INPUTS */
input,
select {
    width: 100%;
    padding: 15px;
    margin-bottom: 15px;
    border-radius: 14px;
    border: none;
    background: #2a2f3f;
    color: #ffffff;
    font-size: 15px;
    transition: 0.3s ease;
}

input::placeholder {
    color: #aaa;
}

input:focus,
select:focus {
    outline: none;
    box-shadow: 0 0 0 2px #a855f7;
    background: #979ba6;
}

/* SELECT */
select {
    appearance: none;
    background-image: url("data:image/svg+xml;utf8,<svg fill='%23a855f7' height='20' viewBox='0 0 24 24' width='20' xmlns='http://www.w3.org/2000/svg'><path d='M7 10l5 5 5-5z'/></svg>");
    background-repeat: no-repeat;
    background-position: right 15px center;
    background-size: 18px;
    cursor: pointer;
}

/* BOTÃO */
button {
    width: 100%;
    padding: 15px;
    border-radius: 14px;
    border: none;
    background: linear-gradient(90deg, #9333ea, #7c3aed);
    color: white;
    font-weight: 600;
    cursor: pointer;
    transition: 0.3s ease;
    margin-bottom: 20px;
}

button:hover {
    transform: translateY(-2px);
    box-shadow: 0 10px 25px rgba(147,51,234,0.4);
}

.app  p {
    color: #585858;
    font-size: 14px;
    margin-bottom: 20px;
    text-align: justify;
    justify-content: center;
    display: flex;
    align-items: center;
}

.app .screen .imagens {
    width: 100%;
    display: flex;
    margin: 0 auto;
    justify-content: center;
    margin-top: 20px;
}

/* CARD RESULTADO */
.cardResultado {
    background: #23283a;
    padding: 2px;
    box-shadow: 0 10px 20px rgba(0,0,0,0.3);
    border-radius: 30px 30px;
    margin-top: 20px;
    animation: fadeUp 0.4s ease;
}

.cardResultado h3 {
    color: #c084fc;
    margin-bottom: 15px;
    justify-content: center;
    display: flex;
}

.cardResultado p {
    color: #ffffff;
    font-size: 14px;
    margin-bottom: 5px;
}

.cardResultado h2 {
    color: #ffffff;
    font-size: 22px;
    margin: 15px 0 5px;
    justify-content: center;
    display: flex;
}

.cardResultado hr {
    border: 01px solid #444;
    height: 1px;
    background: #444;
    margin: 10px 0;
}



/* TELAS SOBREPOSTAS */
.screen {
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    padding: 20px;
    transition: all 0.4s ease;
    opacity: 0;
    transform: translateX(50px);
    pointer-events: none;
}

.screen img {
    width: 100px;
    margin-top: 50px;
    display: block;
    marergin-t0p: 20px;
    margin-left: auto;
    margin-right: auto;
}
/* TELA ATIVA */
.screen.active {
    opacity: 1;
    transform: translateX(0);
    pointer-events: all;
}

/* ANIMAÇÃO */
@keyframes fadeUp {
    from {
        opacity: 0;
        transform: translateY(10px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}